Was this thread helpful?


  • Total voters
    2,085
Search This thread

DiamondJohn

Recognized Contributor
Aug 31, 2013
6,304
6,230
Sydney
This is from 2016. Do you think is still valid?
Re-read my post. I did NOT say that the thread I linked to was the ultimate or current guide. I advised to look at LOS as they had current guides.
The XDA threads started a long time ago, but they are good if you get a problem along the way. ie the instructions in the OP are outdated
I specifically said the OP instructions were outdated!


Firstly I need some foundations to start moving forward. I would like to start by replicating one of the ROMs that I already know, are working under my device. Basically I want to start with the premise the if someone did it, I could do it again, before I venture in "new devices" into the unknown camp.
And thats why I suggested reading the how to build LOS. They probably have the largest device coverage, and have instructions for each device. So if your device was "kirin"

But if you look at the base GIT pages for a custom ROM they usually also have instructions on how to build, but not normally device specific or as thorough as LOS. Did i mention you better get comfortable with GIT...

I think I could build from sources and all that without issues, but I don't really know where I must be touching and tweaking things to make things work. I have 0 knowledge about this topic.
Im not sure how little you know about programming or how much you wish to modify the ROM, so thats like asking how long a piece of string is. READ! where to tweak is going to rely heavily on programming ability. oh, and READING
 
Last edited:

Thisal Karunanayake

New member
Jul 3, 2022
1
0
I have a LG V30 Plus, Docomo Variant (L-01K).
Recently it started showing that annoying "charging blocked due to moisture" error.
I found a way to disable it by going into the hidden menu on one of the forums but I can't get into the menu because I don't know what model number to write at the end.
Typing "01" doesn't work, can someone please help me out? Also it keeps on saying "unable to operate".
Hi i need your help, I flashed a custom ROM and now it doesn't work well so can you please help me to get the LG v30+ L-01K firmware .
 

xunholyx

Recognized Contributor
Dec 3, 2012
7,746
5,279
Vancouver
Google Pixel 2 XL
Google Pixel 5
Hi Any Chromecast Receiver App That Work With Phones? The Google One
I don't exactly understand what you are asking, but there are no apps that will act like a Chromecast on your phone. There are video and music apps that you can share with someone with the same app however, so that you can watch/listen to the same thing at the same time though.
 

sajadahmerah

New member
Dec 28, 2018
3
0
im really noob, want to asking about memu emulator. my PC spec is low, already using memuplay 7.6.6.0, feel stable, and already removing any bloatware. only for playing AOV.
but when i updating AOV, i cant login on in-game web page. because maybe memuplay webview is not support it.....
I try updating or changing manually using latest google webview and bromite webview but its say cant install because conflict with already existed packages. so i try deleting memu webview using adb shell, then install manually but still working , maybe system not detect new webview package that i install manually.

btw i already try updating whole MemuPlay with latest but i give up because its freezing crashing and lag pretty badly... maybe it too heavy for my PC.
anyone have suggestion?


btw this is my PC spec
windows 7
System Manufacturer: ASUSTeK COMPUTER INC.
System Model: S451LB
Processor: Intel(R) Core(TM) i3-4010U CPU @ 1.70GHz (4 CPUs), ~1.7GHz
Memory: 4096MB RAM
Available OS Memory: 3980MB RAM
Page File: 4306MB used, 695MB available
===========
Display Devices
---------------
Card name: Intel(R) HD Graphics Family
Manufacturer: Intel Corporation
Chip type: Intel(R) HD Graphics Family
DAC type: Internal
Display Memory: 1696 MB
Dedicated Memory: 64 MB
Shared Memory: 1632 MB
Current Mode: 1366 x 768 (32 bit) (60Hz)
Monitor Name: Generic PnP Monitor
 

SubwayChamp

Senior Member
Aug 6, 2016
3,901
4
1,597
im really noob, want to asking about memu emulator. my PC spec is low, already using memuplay 7.6.6.0, feel stable, and already removing any bloatware. only for playing AOV.
but when i updating AOV, i cant login on in-game web page. because maybe memuplay webview is not support it.....
I try updating or changing manually using latest google webview and bromite webview but its say cant install because conflict with already existed packages. so i try deleting memu webview using adb shell, then install manually but still working , maybe system not detect new webview package that i install manually.

btw i already try updating whole MemuPlay with latest but i give up because its freezing crashing and lag pretty badly... maybe it too heavy for my PC.
anyone have suggestion?


btw this is my PC spec
windows 7
System Manufacturer: ASUSTeK COMPUTER INC.
System Model: S451LB
Processor: Intel(R) Core(TM) i3-4010U CPU @ 1.70GHz (4 CPUs), ~1.7GHz
Memory: 4096MB RAM
Available OS Memory: 3980MB RAM
Page File: 4306MB used, 695MB available
===========
Display Devices
---------------
Card name: Intel(R) HD Graphics Family
Manufacturer: Intel Corporation
Chip type: Intel(R) HD Graphics Family
DAC type: Internal
Display Memory: 1696 MB
Dedicated Memory: 64 MB
Shared Memory: 1632 MB
Current Mode: 1366 x 768 (32 bit) (60Hz)
Monitor Name: Generic PnP Monitor
Here you have the MEmu Play requirements https://www.memuplay.com/blog/system-requirements.html, although it's compatible with W7, probably you can update to a light version of W10 https://computerhoy.com/noticias/te...arlo-ventajas-tiene-frente-windows-10-1041257 actually I don't use it, so I can't sure you which the issue is, anyway, in the link you have the MEmu´s blog and forum from where you should find valuable information.
 

sajadahmerah

New member
Dec 28, 2018
3
0
Here you have the MEmu Play requirements https://www.memuplay.com/blog/system-requirements.html, although it's compatible with W7, probably you can update to a light version of W10 https://computerhoy.com/noticias/te...arlo-ventajas-tiene-frente-windows-10-1041257 actually I don't use it, so I can't sure you which the issue is, anyway, in the link you have the MEmu´s blog and forum from where you should find valuable information.
not really answer that i need. already using memu 7.6.6.0 and its already feel stable. i need to solve webview problem.....so that any in-game browser its not broken. because after updating aov, in-game browser is broken and only showing blank white page.
"i dont want to update whole memuplay" because its freeze, lag and feel heavy.
and updating whole windows to 10, its different matter again.....
 

SubwayChamp

Senior Member
Aug 6, 2016
3,901
4
1,597
not really answer that i need. already using memu 7.6.6.0 and its already feel stable. i need to solve webview problem.....so that any in-game browser its not broken. because after updating aov, in-game browser is broken and only showing blank white page.
"i dont want to update whole memuplay" because its freeze, lag and feel heavy.
and updating whole windows to 10, its different matter again.....
Well, not always, the answer we have, is what we want, but still, they could be what we really need anyway, I never said that this is the panacea.

Only I can add to this, that you should check all the caches pertaining to the browser and the web view apps, also delete all the other web view you have installed, check in developer options that, the web view you choose is what is set by default (in case you have no root, and you can't delete the one that is in-built), also, if you want to use Chrome as web browser, better choose Chrome as web view app by default.
I try updating or changing manually using latest google webview and bromite webview but its say cant install because conflict with already existed packages. so i try deleting memu webview using adb shell, then install manually but still working , maybe system not detect new webview package that i install manually.
ADB shell doesn't delete, really, the package installed, so you can expect conflict, you should need root, to completely remove them.
 

DiamondJohn

Recognized Contributor
Aug 31, 2013
6,304
6,230
Sydney
How do I build Pixel Experience 12.1 for my device (Galaxy Tab 4 10.1; matisse)?
If you go to the Pixel Experience GITHub page, they will normally have instructions on how to build for official devices. Or you could simply search "how to build Pixel Experience". that should get you to the same page.

I dont know your device, but assuming its not am official device, then you need to find compatible Vendor, Device & Kernel sources for your device. A lot of custom ROMs will have instructions on how to create the ROM for unofficial devices as well. If your device has no 12.1 ROMs, then it will be hard slog, not for the inexperienced looking for a quick win.
 

d_a_ugono

Member
Jun 7, 2020
49
3
If you go to the Pixel Experience GITHub page, they will normally have instructions on how to build for official devices. Or you could simply search "how to build Pixel Experience". that should get you to the same page.

I dont know your device, but assuming its not am official device, then you need to find compatible Vendor, Device & Kernel sources for your device. A lot of custom ROMs will have instructions on how to create the ROM for unofficial devices as well. If your device has no 12.1 ROMs, then it will be hard slog, not for the inexperienced looking for a quick win.
My device doesn't have any Android 12/12L ROMs, neither does it have any Pixel Experience builds, not even unofficial.
 

mrrocketdog

Senior Member
Oct 27, 2013
4,928
2,295
i think i've seen this question before but a search didnot produce productive results.
in my email app , if i click a link it use to ask me which of my 3 browsers i wanted to use. now my email app just picks one automatically , always the same one.
anyone know how i can make it go back to asking me which to use?
(i cleared cache of all 3 as it was all i could think of to do).
thanks for any suggestions ,
dave
 

SubwayChamp

Senior Member
Aug 6, 2016
3,901
4
1,597
i think i've seen this question before but a search didnot produce productive results.
in my email app , if i click a link it use to ask me which of my 3 browsers i wanted to use. now my email app just picks one automatically , always the same one.
anyone know how i can make it go back to asking me which to use?
(i cleared cache of all 3 as it was all i could think of to do).
thanks for any suggestions ,
dave
Check that you don't have that browser set as default.

Clear defaults from the three browser apps, in case some of them have an option like opening tool chain in case you some time, granted this permission, probably this app will be open as most frequent used.

Apart from clear caches, if nothing of the other solve it, you may clear data from the email app.
 

mrrocketdog

Senior Member
Oct 27, 2013
4,928
2,295
Check that you don't have that browser set as default.

Clear defaults from the three browser apps, in case some of them have an option like opening tool chain in case you some time, granted this permission, probably this app will be open as most frequent used.

Apart from clear caches, if nothing of the other solve it, you may clear data from the email app.
that did it @SubwayChamp , cleared defaults from all 3. thank you much for help & for always being here with helpful information.:good:
 
  • Like
Reactions: SubwayChamp

DiamondJohn

Recognized Contributor
Aug 31, 2013
6,304
6,230
Sydney
My device doesn't have any Android 12/12L ROMs, neither does it have any Pixel Experience builds, not even unofficial.
Then you have a LOT of reading, and I hope you are a talented developer.

In my eyes, your biggest problem will be creating a device/vendor/kernel code for your device. (ie the device tree) I havent built for a few years, and I wish to keep my current phone on A11 but all ROMs have moved to A12L ; the problem with Pixel Phones. I went to check my preferred ROM's device tree (for my device) on GIT, and I found they only had a A12L tree. Normally you could see all the old/previous trees, but I also noticed that the A12L device tree hadn't been changed in a year. That makes me think I may be lucky and the current A12L tree is the same/compatible with A11. Which in your case may mean that an old A11 tree is compatible with A12L.

When I started building ROMs, it was a case of try, and then fix each specific actual issue as it came up. Without specific actual issues, its like asking the length of a piece of string. Try. Use one of the other devices as guide / starting point / learning path. And to be clear, if you dont have a prebuilt device tree source, it a lot of work. They problably have a telegram channel or such for extra ROM building help.
 
Last edited:

d_a_ugono

Member
Jun 7, 2020
49
3
Then you have a LOT of reading, and I hope you are a talented developer.

In my eyes, your biggest problem will be creating a device/vendor/kernel code for your device. (ie the device tree) I havent built for a few years, and I wish to keep my current phone on A11 but all ROMs have moved to A12L ; the problem with Pixel Phones. I went to check my preferred ROM's device tree (for my device) on GIT, and I found they only had a A12L tree. Normally you could see all the old/previous trees, but I also noticed that the A12L device tree hadn't been changed in a year. That makes me think I may be lucky and the current A12L tree is the same/compatible with A11. Which in your case may mean that an old A11 tree is compatible with A12L.

When I started building ROMs, it was a case of try, and then fix each specific actual issue as it came up. Without specific actual issues, its like asking the length of a piece of string. Try. Use one of the other devices as guide / starting point / learning path. And to be clear, if you dont have a prebuilt device tree source, it a lot of work. They problably have a telegram channel or such for extra ROM building help.
My device has a device tree for Lineage OS 18.1. Can I use that for building Pixel Experience 12L? Can I follow the build guide for an official device to build unofficial Pixel Experience 12L for my device?
 
Last edited:

DiamondJohn

Recognized Contributor
Aug 31, 2013
6,304
6,230
Sydney
My device has a device tree for Lineage OS 18.1. Can I use that for building Pixel Experience 12L? ...snip...
a couple of problems there. Most ROMs are broken into two categories. LOS or ASOP based. I dont know Pixel Experience, but I would guess that its AOSP. The device trees are probably not compatible.

...smip...Can I follow the build guide for an official device to build unofficial Pixel Experience 12L for my device?
Not EVERY step is the same for unofficial. You will have to manually edit/create you device tree for the inclusion of your specific device. I previously had to modify my device make files, to make them compatible with the different ROMs i tried to build.

In short, if you have an unofficial device to build for, it is not a simple "follow these exact steps letter for letter". You are going to need to do some programming.
 
  • Like
Reactions: d_a_ugono

d_a_ugono

Member
Jun 7, 2020
49
3
Not EVERY step is the same for unofficial. You will have to manually edit/create you device tree for the inclusion of your specific device. I previously had to modify my device make files, to make them compatible with the different ROMs i tried to build.

In short, if you have an unofficial device to build for, it is not a simple "follow these exact steps letter for letter". You are going to need to do some programming.
What's the easiest way to make an unofficial build of a ROM? Pixel Experience only have build guides for official devices. How do I create a new device tree for my device for Pixel Experience, or edit the current Lineage OS 16.0/17.1/18.1 device tree for my device to make it compatible with Pixel Experience 12L?
 

DiamondJohn

Recognized Contributor
Aug 31, 2013
6,304
6,230
Sydney
What's the easiest way to make an unofficial build of a ROM? ...snip...
What is "easiest" is dependent on you.
...snip... Pixel Experience only have build guides for official devices. How do I create a new device tree for my device for Pixel Experience, or edit the current Lineage OS 16.0/17.1/18.1 device tree for my device to make it compatible with Pixel Experience 12L?
I think I have already answered that question (more than once). Thats a bad indication, as to build ROMs, your going to need to do a LOT more reading, and take care to understand what you have read. There are many guides available on the internet, dont depend on some random guy on a forum to have all your answers. Search & read and teach yourself.
 
Last edited:
  • Like
Reactions: mrrocketdog

slavekrouta

New member
Jul 4, 2022
4
0
Hi, some days ago I wanted to upgrade my phone's (Lenovo k33a42) operating system using TWRP, but that custom rom wasn't tested on my device, so I completely wiped system but when I was installing .zip file, errors arrived. Now when I want to boot my phone, logo appears and nothing happen. I have only TWRP installed. Can someone help me to install stock or custom rom? Thank you for reading. Im czech. My english is bad..
 

SubwayChamp

Senior Member
Aug 6, 2016
3,901
4
1,597
Hi, some days ago I wanted to upgrade my phone's (Lenovo k33a42) operating system using TWRP, but that custom rom wasn't tested on my device, so I completely wiped system but when I was installing .zip file, errors arrived. Now when I want to boot my phone, logo appears and nothing happen. I have only TWRP installed. Can someone help me to install stock or custom rom? Thank you for reading. Im czech. My english is bad..
You should never install a non-tested ROM to your device. Now you have to try to install again the stock ROM, to see if this fix the issues, miss-flashing may cause. Search for the stock firmware for your device, and apply it using this https://motorola-global-portal.cust.../158726/~/download-rescue-and-smart-assistant
 

Top Liked Posts

  • There are no posts matching your filters.
  • 1
    Is it possible to change a phones ppi
    1

    Can we use samsung m21 rom in m30s since all specs are same except selfie camera ?​

    Probably, if the camera doesn't work, you might be able to extract the files to make it work from your stock firmware and apply them to your ROM.
    1
    I'm sure there's a better place to ask this, so apologies. Is there only the one xda app available (on Google Play)? It seems incomplete, or just hard to use. I get a better experience in the mobile browser. Am I missing something?
    i think most peeps get better experience in mobile browser. i personally use the app though. but whichever suits best.
    1
    My basic question is if you can use a custom recovery (TWRP?) that was made for a different phone but is for the same processor and kernel version?

    My long winded question is as follows: I have a tcl t408dl with a mtk 6739 and kernel version 4.14.186 running android 11 aosp, I have the bootloader unlocked and access to fastboot. However my main issue is I cant get the phone into brom mode, not with key combos, not with MTKmeta or MTKclient or MTKdroidtools or MTKbypass or SPflash, and not with testpoints (at least all the ones I tried). There is no copy of the firmware online and I have no way to pull it off my phone. I want to use fastboot to boot into a custom recovery to pull off the firmware. A couple of important points: the phone has blocked the installation of any apps even with allowing unknown sources and trying to install via adb. It is feature flip phone with no touch screen.
    In theory, yes, but using TWRP from a device with the same CPU doesn't always work, sometimes it requires some modification to the TWRP file to make it work. Make/find a copy of your stock recovery.img then flash the TWRP from the similar device, if it doesn't work, flash the copy of your stock recovery.img.
  • 300
    Hello guys..:)
    I would like you to go through XDA new users guide and you must read the FORUM RULES before posting here or anywhere else on xda.

    The rate at which the new users are joining xda on daily basis is very high. A lot of users join because they have got some problems with their devices like bricked phone, bootloops etc. because of following incorrect processes. Some join to help out others, to share their knowledge and gain more.

    So basically this thread is for all of those who want to ask questions and answer those.


    So those who want to help here, just try to answer without flaming, let it be answered thousands of times earlier, show them the path, direction and let them do things on their own. Do not spoon feed, rather just try to point them to right direction.

    This whole idea is of @undercover and the former OP Bruce Wayne and I thank him.

    To The people asking questions here, don't forget to check for the links from 2nd post. That will help you increase your knowledge, and do answer the questions asked by others if you know the answer. Please don't simply say thanks if some member helps you, instead use the thanks button, that will help us keep this thread less cluttered.
    79
    [Ask Any Question] [Help Thread] NOOB FRIENDLY

    Here are the names of some of my friends helping you on the thread.(Updated often)
    @iamareebjamal
    @Zatta
    @dagger (the original OP of this thread)
    @Stryke_the_Orc
    @prototype-U
    @EatHeat
    @nlygamz
    @plegdroid
    @Gogeta
    @malybru
    @Jimlarck
    @ADDICT.ANK
    @Primokorn
    @luqman98
    @hnkotnis
    @thenookieforlife3
    @ИΘΘK¡€
    @Sam Nakamura
    @xunholyx

    @SubwayChamp

    @ktmom

    @Ibuprophen

    Please do let me know if I have missed some names..:)
    49
    [Ask Any Question] [Help Thread] NOOB FRIENDLY

    For a list of guides,refer here.
    http://forum.xda-developers.com/showthread.php?t=2073370
    Thanks to @Hpsgill
    25
    [Ask Any Question] [Help Thread] NOOB FRIENDLY

    Atlast

    Please dont spam the thread..​
    19
    Hi mate!
    Nice to see a much needed thread like this here.. hope new members as well as old ones find this thread useful! :thumbup:

    "To err is human, to forgive is divine"
    Sent from my SGS II